<div class="perfil">
    <div class="back">
            <a routerLink="/home"><i class="fas fa-arrow-left"></i></a>
    </div>
    <div>
        <h3 class="title-3">Grupos de Pesquisa</h3>
        <ul class="nav nav-tabs" id="nav-tab" role="tablist">

            <li *ngFor="let grupo of gruposPesquisa">
                <a (click)="listarAreaAtuacao(grupo.Id)" class="nav-item nav-link active" id="nav-cet-tab"
                    data-toggle="tab" href="#nav-cet" role="tab" aria-controls="nav-cet"
                    aria-selected="true">{{grupo.Nome}}</a></li>

        </ul>

        <div class="tab-content content-grupo-pesquisa" id="nav-tabContent">
            <div class="tab-pane fade show active" id="nav-cet" role="tabpanel" aria-labelledby="nav-cet-tab">
                <table class="table table-striped table-cet">
                    <thead class="thead-blue">
                        <tr>
                            <th scope="col">Editar</th>
                            <th scope="col">Itens cadastrados</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr *ngFor="let areaAtuacao of areas">
                            <td><a style="cursor: pointer;" (click)="editarGrupo(areaAtuacao.Id, areaAtuacao.Nome)" data-toggle="modal"
                                    data-target="#descricao-modal"><i class="fas fa-edit"></i></a></td>
                            <td>{{areaAtuacao.Nome}}</td>
                        </tr>

                    </tbody>
                </table>


                <div class="btn-group">
                    <button (click)="incluirAreaAtuacao()" class="btn btn-add" style="cursor:pointer;"
                        data-toggle="modal" data-target="#descricao-modal">
                        <i class="fas fa-user-plus"></i>Adicionar
                    </button>
                </div>

            </div>

        </div>
    </div>



    <!-- Modal descrição -->
    <form [formGroup]="formAreaAtuacao">
        <div class="modal fade" id="descricao-modal" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Área de atuação</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">x</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="input-group mb-3">
                            <input [hidden]="true" formControlName="idAreaAtuacao" type="text" class="form-control"
                                placeholder="" aria-label="editar-descricao" value="">


                            <input formControlName="areaAtuacao" type="text" class="form-control" placeholder=""
                                aria-label="editar-descricao" value="{{areaAtuacao.value}}">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button (click)="gestaoAreaAtuacao()" type="submit" class="btn btn-primary">Salvar</button>
                    </div>
                </div>
            </div>
        </div>
    </form>

</div>